      ******************************************************************
      * MFHCODCL OPTIONS:                                              *
      *     DATABASE : DB2DEMO                                         *
      *     SCHEMA   : DEMO                                            *
      *     PREFIX   : VALUE=PRD                                       *
      ******************************************************************
           EXEC SQL DECLARE DEMO.PRODUCT TABLE
           ( PROD_ID               CHAR(4)         NOT NULL
            ,PROD_DESC             VARCHAR(40)     NOT NULL WITH DEFAULT
            ,AMT_EACH              DECIMAL(7, 2)   NOT NULL WITH DEFAULT
           ) END-EXEC.
      ******************************************************************
      * COBOL DECLARATION FOR TABLE DEMO.PRODUCT                       *
      ******************************************************************
       01  DCLPRODUCT.
           10 PRD-PROD-ID                      PIC X(4).
           10 PRD-PROD-DESC.
              49 PRD-PROD-DESC-LEN             PIC S9(04)  COMP.
              49 PRD-PROD-DESC-TEXT            PIC X(40).
           10 PRD-AMT-EACH                     PIC S9(05)V9(02) COMP-3.
      ******************************************************************
      * THE NUMBER OF COLUMNS DESCRIBED BY THIS DECLARATION IS 3       *
      ******************************************************************
