      ************************************************************************
      * Copyright (C) 1984-1999 Micro Focus International Ltd.
      * All rights reserved.
      *  
      * This demonstration program is provided for use by users of 
      * Micro Focus products (the "Software") and may be used, 
      * modified and distributed as part of your application provided 
      * that you properly acknowledge the copyright of Micro Focus in this
      * material.
      *     
      * All conditions, warranties and undertakings, express or implied, 
      * statutory or otherwise, on the part of Micro Focus are excluded, 
      * including without limitation those of merchantability or fitness  
      * for purpose. This shall not, however, purport to exclude or 
      * restrict the liability of Micro Focus to any extent not 
      * permitted by law.
      *
      * IN NO EVENT WILL MICRO FOCUS BE LIABLE FOR ANY INDIRECT, 
      * INCIDENTAL, SPECIAL, CONSEQUENTIAL OR OTHER DAMAGES ARISING OUT 
      * OF THE USE OF THE DEMONSTRATION PROGRAM DISTRIBUTED WITH THE 
      * SOFTWARE, WHETHER OR NOT INFORMED OF THE POSSIBILITIES OF 
      * DAMAGES IN ADVANCE.  THESE LIMITATIONS APPLY TO ALL CAUSES OF 
      * ACTION, INCLUDING BREACH OF CONTRACT, BREACH OF WARRANTY, STRICT
      * LIABILITY, AND ANY ACTIONS IN TORTS.
      ************************************************************************
      *                                                                      *
      *  Demonstration of COBOL multi-threading features
      *                                                                      *
      *  @(#)SERVWRK.CPY	1.3
      *                                                                      *
      *  Last Modified on 96/08/29 at 10:50:49
      ************************************************************************

	*>************************************************************<*
	*>
	*> Work areas needed for server, service and user interface 
	*>  modules...
	*>
	*>************************************************************<*
	78  78-SERVICE-EXIT      value 'E'.  *> Originates from user
	78  78-SERVICE-HORIZ     value '1'.  *> interface only.
	78  78-SERVICE-VERT      value '2'.
	78  78-SERVICE-RDIAG     value '3'.
	78  78-SERVICE-LDIAG     value '4'.

	78  78-SERVICE-STARTED   value 's'.  *> Originates from service 
	78  78-SERVICE-FINISHED  value 'f'.  *> routines only.

	78  78-DONE-STARTED    value 's'.
	78  78-DONE-FINISHED   value 'f'.
	78  78-DONE-EXIT       value 'e'.
	78  78-DONE-ABORT      value 'a'.

	01  service-packet is external.
	    05  service-req-sem        usage semaphore-pointer.
	    05  service-req-ack-sem    usage semaphore-pointer.
	    05  service-done-sem       usage semaphore-pointer.
	    05  service-done-ack-sem   usage semaphore-pointer.
	    05  service-req-type    pic x.
	    05  service-req-id      pic 99.
	    05  service-req-thread  usage thread-pointer.
	    05  service-done-type   pic x. 
	    05  service-done-id     pic 99. 
	    05  service-done-thread usage thread-pointer.
	    05  service-done-rc     pic x(4) comp-x.
