      $set ans85 noosvs nonls
      *
      * @(#)nlsdemo.cbl	1.2
      ************************************************************************
      * Copyright (C) 1989-1999 Micro Focus International Ltd.
      * All rights reserved.
      *  
      * This demonstration program is provided for use by users of 
      * Micro Focus products (the "Software") and may be used, 
      * modified and distributed as part of your application provided 
      * that you properly acknowledge the copyright of Micro Focus in this
      * material.
      *     
      * All conditions, warranties and undertakings, express or implied, 
      * statutory or otherwise, on the part of Micro Focus are excluded, 
      * including without limitation those of merchantability or fitness  
      * for purpose. This shall not, however, purport to exclude or 
      * restrict the liability of Micro Focus to any extent not 
      * permitted by law.
      *
      * IN NO EVENT WILL MICRO FOCUS BE LIABLE FOR ANY INDIRECT, 
      * INCIDENTAL, SPECIAL, CONSEQUENTIAL OR OTHER DAMAGES ARISING OUT 
      * OF THE USE OF THE DEMONSTRATION PROGRAM DISTRIBUTED WITH THE 
      * SOFTWARE, WHETHER OR NOT INFORMED OF THE POSSIBILITIES OF 
      * DAMAGES IN ADVANCE.  THESE LIMITATIONS APPLY TO ALL CAUSES OF 
      * ACTION, INCLUDING BREACH OF CONTRACT, BREACH OF WARRANTY, STRICT
      * LIABILITY, AND ANY ACTIONS IN TORTS.
      ************************************************************************

       identification division.
       program-id. nlsdemo.

      *    This program (with subroutines) demonstrates comparisons
      *    using Micro Focus COBOL/2 Native Language Support (NLS) for
      *    West European languages.  It is encoded for both the ISO 8859-1
      *    standard and the IBM PC standard.  (Note items with asterisksi
      *    coded to the proposed ISO 8859-2 standard).

      *    NOTE: the codeset that your terminal displays must be set in
      *    the copyfile "sortsub.cpy" before compiling.  Default is ISO.

      *    For this program to be able to demonstrate NLS the operating
      *    system must provide X/Open Internationalisation support and
      *    the environment variable LANG must be set to an appropriate
      *    setting such as french_france.8859 for SCO UNIX or
      *    fr_FR for AIX and ISO charset or Fr_FR for IBM PC charset.

       procedure division.
       a000.   call "asciisrt"
               call "nlssort".
       a999.   display "Hit Enter to continue" at 2401 stop " "
               stop run.

       end program nlsdemo.

       identification division.
       program-id. "asciisrt".
           copy "sortsub.cpy".
               display spaces upon crt
               display "ASCII Collating Sequence" with highlight at 0101
               display charset                    with highlight at 0127
               move 1 to disp-col
               perform d000-display-table.
       end program "asciisrt".

