       *>===============================================================
       *> PL/I TCA prefix and TCA proper
       *>  - unless otherwise stated, all data is S/390 style
       *>
       *> Copyright (C) 1996-2006 Micro Focus (IP) Limited. All rights
       *>                         reserved.
       *>===============================================================
       01 (tag)-prefix.
          03 (tag)-id          pic x(8).
             78 (tag)-id-ebc   value x'E3C3C14040404040'. *> 'TCA     'e
             78 (tag)-id-asc   value  'TCA     '.

       *>===============================================================
       78 (tag)-overflow-rtn-code *> overflow routine code
       *>                   '184F'x     || /* LR    4,15 - save r15  */
       *>                   '1851'x     || /* LR    5,1  - save r1   */
       *>                   '4110080A'x || /* LA    1,2058 - abend   */
       *>                   '8910000C'x || /* SLL   1,12   - s80A    */
       *>==============================================================
       *> Because of a bug in MF370, the abend macro
       *>   1. does not support sys/user abend code correctly
       *>   2. locks up the system following SVC13
       *>      '41101FAC'x || *> LA    1,4012(,1) - user
       *>      is changed to:
       *>==============================================================
       *>                   '41100FAC'x || /* LA    1,4012     - user*/
       *>                   '41F00FAC'x || /* LA    15,4012 - oncode */
       *>                   '0A0D'x     || /* SVC   13               */
       *>                   '0000C5D5C400'x));/* end of overflow rtn */
          value
          x'184F18514110080A8910000C41100FAC41F00FAC0A0D0000C5D5C400'.
       *>===============================================================
       01 (tag).
          03 filler.
             05 (tag)-union-1        pic x(640).
             05 filler redefines (tag)-union-1.
                07 filler        pic x(4).
                07 (tag)-prv     pointer.      *> zero for now
                07 (tag)-bos     pointer.      *> = MVSmisc-ISA
                07 (tag)-eos     pointer.       *> EOS         A
                07 filler        pic x(24).
                07 (tag)-tia     pointer.      *> zero for now
                07 filler        pic x(24).
                07 (tag)-plirc   pic s9(4) comp. *> PL/I return code
                07 (tag)-usrrc   pic s9(4) comp. *> User return code
                07 filler        pic x(28).
                07 (tag)-prv-init pointer.      *> PRV init word - zero
                07 filler        pic x(12).
                07 (tag)-overflow-rtn pointer. *> addr of oflo rtcn
                07 filler        pic x(164).
                07 (tag)-user    pointer.       *> user fields - zero
                07 filler        pic x(24).
                07 (tag)-isa-ptr pointer. *> = MVSmisc-ISA
                07 (tag)-isa-size pic s9(9) comp. *> = PLI-isa-actual
                07 filler        pic x(176).
                07 (tag)-c-tca   pointer.       *> -> C TCA - zero now
                07 (tag)-overflow-rtn-area  *> Overflow routine machine
                                 pic x(28). *> code instructions
       *>===============================================================
