       *>=============================================================
       *> Copyright (C) 1997-2007 Micro Focus (IP) Limited. All rights
       *>                         reserved.
       *>=============================================================
       *> IDADOUTP.cpy - Defines OUTPUT statement data
       *>=============================================================
              5 ()-output-stmt.
               *>=====================================================
               *> ()-size = length of ()-output-stmt
               *>=====================================================
               7 ()-size                    pic x(2) comp-x.
               7 ()-default                 pic x(1).
                 78 ()-default-y            value 'Y'.
               7 ()-class                   pic x(1).
               7 ()-dest-node               pic x(8).
               7 ()-dest-userid             pic x(8).
               7 ()-dest-ipaddr             pic x(124).
               7                            pic x(4).
               7 ()-arrange-table-str.
                   9 ()-arrange-table       pic x(04) occurs 4.
               7 ()-copies-str.
                  9 ()-copies               pic x(1) comp-x occurs 9.
               7 ()-ucs                     pic x(4).
               7 ()-ucs-fold                pic x(1).
               7 ()-ucs-verify              pic x(1).
               7 ()-address                 pic x(60) occurs 4.
               7 ()-building                pic x(60).
               7 ()-burst                   pic x(1).
               7 ()-ckptline                pic x(4) comp-x.
               7 ()-ckptpage                pic x(4) comp-x.
               7 ()-ckptsec                 pic x(4) comp-x.
               7 ()-colormap                pic x(8).
               7 ()-compact                 pic x(8).
               7 ()-comsetup                pic x(8).
               7 ()-control                 pic x.
                 78 control-single          value '1'.
                 78 control-double          value '2'.
                 78 control-triple          value '3'.
                 78 control-program         value '4'.
               7 ()-datack                  pic x.
                 78 datack-block            value '1'.
                 78 datack-unblock          value '2'.
                 78 datack-blkchar          value '3'.
                 78 datack-blkpos           value '4'.
               7 ()-dept                    pic x(60).
               7 ()-dpagelbl                pic x(1).
               7 ()-duplex                  pic x(1).
               7 ()-fcb                     pic x(4).
               7 ()-fcb-parm                pic x(1).
                 78 ()-fcb-parm-align       value x'41'.
                 78 ()-fcb-parm-verify      value x'56'.
               7 ()-flash-1                 pic x(4).
               7 ()-flash-2                 pic x(1) comp-x.
               7 ()-formdef                 pic x(6).
               7 ()-formlen                 pic 9999v99 comp-3.
               7 ()-formlen-unit            pic x.
                 78 formlen-in              value '1'.
                 78 formlen-cm              value '2'.
               7 ()-fsdata                  pic x(60).
               7 ()-groupid                 pic x(8).
               7 ()-index                   pic x(1) comp-x.
               7 ()-JESDS                   pic x(1).
                  78 jesds-all               value '1'.
                  78 jesds-jcl               value '2'.
                  78 jesds-log               value '3'.
                  78 jesds-msg               value '4'.
               7 ()-lindex                  pic x(1) comp-x.
               7 ()-linect                  pic x(1) comp-x.
               7 ()-modify-name             pic x(4).
               7 ()-modify-trc              pic x(1) comp-x.
               7 ()-name                    pic x(60).
               7 ()-notify-node             pic x(60).
               7 ()-notify-userid           pic x(60).
               7 ()-offsetxb                pic 9999v999 comp-3.
               7 ()-offsetxb-unit           pic x.
               7 ()-offsetxf                pic 9999v999 comp-3.
               7 ()-offsetxf-unit           pic x.
               7 ()-offsetyb                pic 9999v999 comp-3.
               7 ()-offsetyb-unit           pic x.
               7 ()-offsetyf                pic 9999v999 comp-3.
               7 ()-offsetyf-unit           pic x.
                  78 offset-in              value '1'.
                  78 offset-cm              value '2'.
                  78 offset-mm              value '3'.
                  78 offset-pels            value '4'.
                  78 offset-points          value '5'.
               7 ()-outbin                  pic x(2) comp-x.
               7 filler                     pic x.
               7 ()-overlayb                pic x(8).
               7 ()-overlayf                pic x(8).
               7 ()-ovfl                    pic x.
                  78 ovfl-off               value '0'.
               7 ()-pagedef                 pic x(6).
               7 ()-pimsg                   pic x.
               7 ()-pimsg-count             pic x(1) comp-x.
               7 ()-portno                  pic x(2) comp-x.
               7 ()-prmode                  pic x(8).
               7 ()-prterror                pic x.
                  78 prterror-default       value '1'.
                  78 prterror-quit          value '2'.
                  78 prterror-hold          value '3'.
               7 ()-prtopns                 pic x(16).
               7 ()-prtqueue                pic x(127).
               7 ()-prty                    pic x(1) comp-x.
               7 ()-resfmt                  pic x(1).
                  78 resfmt-p240            value '0'.
                  78 resfmt-p340            value '1'.
               7 ()-retains                 pic x(10).
               7 ()-retainf                 pic x(10).
               7 ()-retryl                  pic x(2) comp-x.
               7 ()-retryt                  pic x(10).
               7 ()-sysarea                 pic x(1).
               7                            pic x(3).
               7 ()-room                    pic x(60).
               7 ()-threshold               pic x(4) comp-x.
               7 ()-title                   pic x(60).
               7 ()-trc                     pic x(1).
               7 ()-userdata                pic x(60) occurs 16.
               7 ()-userlib                 pic x(44) occurs 8.
               7 ()-writer                  pic x(8).
               7 ()-form                    pic x(8).
               7 ()-outdisp-n               pic x.
               7 ()-outdisp-a               pic x.
                  78 outdisp-write          value 'W'.
                  78 outdisp-hold           value 'H'.
                  78 outdisp-keep           value 'K'.
                  78 outdisp-leave          value 'L'.
                  78 outdisp-purge          value 'P'.
               7                            pic x(131).
               7 ()-create-date             pic 9(8).
               7 ()-create-time             pic 9(8).
       *>=============================================================
              5 ()-output-stmt-vse redefines ()-output-stmt.
               7                            pic x(2). *> size
               *>====================================================
               *> from VSE LST or PUN start
               *> ALL fields are power LST operands.
               *> those that are also power PUNCH operands are
               *> followed by "punch" in a comment
               *>====================================================
               7 ()-lst-data.
               copy vselst.
               *> from VSE LST or PUN end
